/************************************************************************\
						Basic File Handling 
\************************************************************************/
#ifndef _RJMFILEHEADER
#define _RJMFILEHEADER

#define	FILE_FLAG_CDROM_READ	FILE_FLAG_NO_BUFFERING| \
								FILE_FLAG_SEQUENTIAL_SCAN| \
								FILE_FLAG_WRITE_THROUGH

#include <windows.h>

#ifdef __cplusplus
extern "C" {
#endif

// Lowest level Open and Close file
HANDLE	Open2Write(const char *filename, int overwrite);
HANDLE	Open2Read(const char *filename,int optFlags);
BOOL	CloseWinFile(HANDLE fhandle);

// Load entire file in memory and free
PBYTE fileLoad(const char *filename,PDWORD size);

// Free Memory block allocated by fileLoad()
void fileFree(void *ptr);

// Change file extention. Must indicate the dot (.) for example ".ext"
char *changeFileExtention(const char *filename, char *ext);


#ifdef __cplusplus
};
#endif

#endif