#ifndef __GAME
#define __GAME
class Game : public Application
{
public:
  Game(const char* cmdLine, HINSTANCE instance)
    : command(cmdLine)
    , Application(instance)
  {
  }
  ~Game();
  void PostWindowCreate(BaseWin* w);
  BaseWin* CreateMainWindow();
  HBRUSH GetMainBrush()
  {
    return (HBRUSH)GetStockObject(BLACK_BRUSH);
  }
private:
  const char* command;
};

#endif