#ifndef __ICSTATE_H
#define __ICSTATE_H
#include "navconst.h"
#include "wave2.h"
//-----------------------------------------------------------------------------
class InitialCreditState : public NavConState
{
public:
  InitialCreditState(NavController* ct) : NavConState(ct), text(0) {}
  void MouseDown(const CPoint& place, int flags);
  void Idle();
  void OnAppExit();
  BOOL QueryClose();
  void Key(int code, int flags);
  void OnPaint(const CDC& dc, const CRect& r);
private:
  char** text;
  SoundStream introMusic;
};
//-----------------------------------------------------------------------------
class FinalCreditState : public NavConState
{
public:
  FinalCreditState(NavController* ct) : NavConState(ct), text(0) {}
  void MouseDown(const CPoint& place, int flags);
  void Idle();
  void OnAppExit();
  BOOL QueryClose();
  void Key(int code, int flags);
  void OnPaint(const CDC& dc, const CRect& r);
private:
  char** text;
  SoundStream closingMusic;
};
#endif