#ifndef __RESSTRING_H
#define __RESSTRING_H
#include "cString.h"
class ResString
{
public:
  ResString(int id_, int size_=128)
    : buf("")
    , id(id_)
    , size(size_)
  {
  }
  operator char*() 
  { 
    Load();
    return (char*)buf.c_str(); 
  }
  operator const char*() 
  { 
    Load();
    return (char*)buf.c_str(); 
  }
  operator const string&()
  {
    Load();
    return buf; 
  }
private:
  void Load()
  {
    if (buf.length()==0)
    {
      buf.resize(size);
      LoadString(Application::FWGetAppInstance(), id, (LPTSTR)buf.c_str(), size);
    }
  }
  string buf;
  int size;
  int id;
};

#endif