#ifndef _DEGBUGTESTINGHEADER
#define _DEGBUGTESTINGHEADER

#define DEBUG_MODE_ON


#ifdef DEBUG_MODE_ON

// Show frame rate in titlebar
DWORD DebugDataRate(HWND hWnd, int amount);

#else	// DEBUG_MODE_ON

#define myAssert(x)				// Turn this off
#define DebugDataRate(h,n)		// Turn this off

#endif	// DEBUG_MODE_ON

// Output printf() type message to Output Debug Display
void DebugString(char *text, ... );

// Output a message box with OK button
void MessageBox_OK(HWND win, char *title, char *text, ...);

// Show printf text in titlebar
void WindowString(HWND hWnd,char *text, ... );

// Note:
// To use DEBUGSTRING, do this:
// DEBUGSTRING((fmt, arg, arg, arg,));
// This usage makes the macro expand correctly.
//
#ifdef _DEBUG
#define DEBUGSTRING(x) DebugString x
#else
#define DEBUGSTRING(x) ((void)0)
#endif

#endif
