// EndGameBox
#include "resource.h"
#include "dialog.h"

class NavController; // forward
class EndGameBox : public Dialog
{
public:
	EndGameBox(NavController* controller_)
     : Dialog()
     , controller(controller_)
	{
	}
	virtual BOOL OnCreate(void);
	int RunModal(BaseWin* win) {return Dialog::RunModal(win,IDD_ENDGAME);}
   void OnRestart(int,int);
   void OnRetry(int,int);
   void OnPlayback(int,int);
   void OnSaveGame(int,int);
   void OnRestoreGame(int,int);
   void OnShowStatus(int,int);
   void OnQuit(int,int);
private:
  NavController* controller;
	DECLARE_COMMAND_LOOKUP();
};

