// ------------------------------------------------------------------------ //
//			       LZW Compression				    //
//									    //
//			    Author: Jack Thornton			    //
//			       Level Five, Inc. 			    //
//		   952 Postal Way, Ste. 3, Vista, CA 92083		    //
//	 Ph: (619) 631-5855  Fax: (619) 631-5858  email: jack@cts.com	    //
// ------------------------------------------------------------------------ //

#ifndef _LZWCOMP_H
#define _LZWCOMP_H

// compression function prototypes
DWORD CompressFile(BYTE *output, BYTE *input, DWORD length);
LPSTR getLastError(void);

// error code variable
extern int curError;

// error codes
#define ERR_NONE	0
#define ERR_ASSERTION	1
#define ERR_BADPARAMS	2
#define ERR_MEMORY	3
#define ERR_LARGER	4
#define ERR_SRCOVERRUN	5
#define ERR_DESTOVERRUN 6
#define MAX_ERR 	6

#endif

