
#ifndef _PRECOMP_H_
#define _PRECOMP_H_

// windows library things
#include <windows.h>
#include <mmsystem.h>
#include <process.h>

// ANSI run-time library headers
#include <stdlib.h>
#include <stdio.h>
#include <malloc.h>
#include <memory.h>
#include <string.h>
#include <ctype.h>

#include <assert.h>

// header file variable scoping helpers
#ifdef DEFINE_GLOBALS
#define global
#define GlobalString(x, y) char x[] = y
#define StaticMember(x) x
#else
#define global extern
#define GlobalString(x, y) extern char x[]
#define StaticMember(x)
#endif

// "standard" equates
#define TRUE	    1
#define FALSE	    0
#define OKAY	    0
#define _ERROR_     (-1)

#endif

