#ifndef __CDC_H
#define __CDC_H
class CDC
{
  public:
    CDC(HDC _hdc)
      : h(_hdc)
    {
    }
    virtual ~CDC()
    {
    }
    void PatBlt(const CRect& r, DWORD rop) const
    {
      ::PatBlt(h, r.left, r.top, r.GetWidth(), r.GetHeight(), rop);
    }
    void TextOut(const char* text, CPoint& place)
    {
      ::TextOut(h, place.x, place.y, text, strlen(text));
    }
    void TextOut(const char* text, int cb, CPoint& place)
    {
      ::TextOut(h, place.x, place.y, text, cb);
    }
    HDC Get()
    {
      return h;
    }
    HDC Get() const
    {
      return h;
    }
  protected:
    HDC h;
};

class BaseWin;
class CWindowDC : public CDC
{
  public:
    CWindowDC(BaseWin* w);
    virtual ~CWindowDC()
    {
      ReleaseDC(h2,h);
    }
  private:
    HWND h2;
};
#endif
