//  options property sheets
#ifndef _OPTIONSP_H
#define _OPTIONSP_H
#include "proppage.h"


class PagePresentation : public CPropertyPage
{
public:
	PagePresentation(void) :
	  CPropertyPage(MAKEINTRESOURCE(IDD_OPT1),0,IDI_PRESENT) {}
	virtual int OnSetActive(CPropertySheet* par);
	virtual int OnApply(CPropertySheet* par);
};

class PageParentalControl : public CPropertyPage
{
public:
	PageParentalControl(void) :
	  CPropertyPage(MAKEINTRESOURCE(IDD_OPT2),0,IDI_PARENTAL) {}
	virtual int OnSetActive(CPropertySheet* par);
	virtual int OnApply(CPropertySheet* par);
    virtual void Execute(int id, int note);
};

class PageDifficulty : public CPropertyPage
{
public:
	PageDifficulty(void) :
	  CPropertyPage(MAKEINTRESOURCE(IDD_OPT3),0,IDI_SWEAT) {}
	virtual int OnSetActive(CPropertySheet* par);
	virtual int OnApply(CPropertySheet* par);
};

#endif